作者热门文章
- html - 出于某种原因,IE8 对我的 Sass 文件中继承的 html5 CSS 不友好?
- JMeter 在响应断言中使用 span 标签的问题
- html - 在 :hover and :active? 上具有不同效果的 CSS 动画
- html - 相对于居中的 html 内容固定的 CSS 重复背景?
我将 ( conventional commits 与 husky 包一起使用,以确保提交名称在我的 Angular 前端应用程序中遵循正确的格式。我如何在 Microsoft Net Core 解决方案中设置它,因为我需要 package.json 来工作?
最佳答案
您可以直接从命令行使用 dotnet 工具并通过 NuGet 包添加到项目中。
使用版本化: Nuget Package , source of Versionize
..或者为预提交或后提交 Hook 设置一个触发器,用你自己的在 stash 的 .git/hooks
中,您可以创建自己的 commit-msg 以使用正则表达式强制执行常规提交消息。
这可能是提交消息文件中的 bash 脚本:
#!/usr/bin/env bash
if ! head -1 "$1" | grep -qE "^(feat|fix|ci|chore|docs|test|style|refactor)(\(.+?\))?: .{1,}$"; then
echo "Aborting commit. Your commit message is invalid." >&2
exit 1
fi
if ! head -1 "$1" | grep -qE "^.{1,50}$"; then
echo "Aborting commit. Your commit message is too long." >&2
exit 1
fi
您可以在 MSBuild 项目复制任务上自动执行消息提交的副本。
<Target Name="CopyCustomContent" AfterTargets="AfterBuild">
<ItemGroup>
<_CustomFiles Include="..\automation\commit-msg" />
</ItemGroup>
<Copy SourceFiles="@(_CustomFiles)" DestinationFolder="./../.git/hooks" />
</Target>
关于git - 如何在 net core 解决方案中设置常规提交?,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/54746412/
我是一名优秀的程序员,十分优秀!